Agents
List agents.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
GET /api/v1/agents HTTP/1.1
Accept: */*
{
"content": [
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}Create agent.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
POST /api/v1/agents HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1670
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}Get agent namespaces.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
GET /api/v1/agents/ns HTTP/1.1
Accept: */*
{
"namespaces": [
{
"name": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}Search agents.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Filters for Agents.
SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
POST /api/v1/agents/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 653
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"type": "AGENT_TYPE_UNSET",
"tags": [
"text"
],
"searchTerm": "text",
"pageSize": 1,
"pageIndex": 1,
"scope": "AGENT_SCOPE_UNSET",
"filter": {},
"drIdentifier": "text",
"sortBy": "SORT_BY_NOT_SET",
"sortOrder": "SORT_ORDER_NOT_SET",
"metadataOnly": true,
"ignoreScope": true,
"connectedStatus": "CONNECTED_STATUS_UNSET",
"healthStatus": "HEALTH_STATUS_UNSET",
"withCredentials": true,
"includeSecondary": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"drType": "UNKNOWN_TYPE"
}{
"content": [
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}Get agent tags.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
GET /api/v1/agents/tags HTTP/1.1
Accept: */*
{
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}Get agent versions.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
GET /api/v1/agents/versions HTTP/1.1
Accept: */*
{
"versions": [
{
"major": "text",
"minor": "text",
"patch": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}This API can be used to update an agent's details in Harness. The following fields will be updated to the new values in the body - "tags", "metadata"(all nested fields in metadata will be replaced with new provided values including empty/nil values if they're sent), "description", "type". A regular agent can be converted to a DR primary by setting "drType" to PRIMARY and providing a PRIMARY "disasterRecoveryNode". Download and reapply the agent manifest after conversion.
The gitops-server generated ID for this gitops-agent
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
PUT /api/v1/agents/{agent.identifier} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1670
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}GetDeployYaml returns deployment yamls for agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.
For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.
Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/deploy.yaml HTTP/1.1
Accept: */*
textPostDeployHelmChart returns the Helm Chart for deploying the agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
A successful response.(streaming responses)
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/deployment-spec/helm HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"namespace": "text",
"disasterRecoveryIdentifier": "text",
"skipCrds": true,
"caData": "text",
"proxy": {
"http": "text",
"https": "text",
"username": "text",
"password": "text",
"skipSSLVerify": true
},
"privateKey": "text",
"argocdSettings": {
"enableHelmPathTraversal": true,
"forceEnableInCluster": true,
"enableArgocdHarnessPlugin": true,
"applicationNamespaces": "text"
}
}{
"result": {
"chunk": "Ynl0ZXM="
},
"error": {
"grpc_code": 1,
"http_code": 1,
"message": "text",
"http_status": "text",
"details": [
{
"type_url": "text",
"value": "Ynl0ZXM="
}
]
}
}PostDeployYaml returns deployment yamls for agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
A successful response.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/deployment-spec/yaml HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"namespace": "text",
"disasterRecoveryIdentifier": "text",
"skipCrds": true,
"caData": "text",
"proxy": {
"http": "text",
"https": "text",
"username": "text",
"password": "text",
"skipSSLVerify": true
},
"privateKey": "text",
"argocdSettings": {
"enableHelmPathTraversal": true,
"forceEnableInCluster": true,
"enableArgocdHarnessPlugin": true,
"applicationNamespaces": "text"
}
}textGetDeployHelmChart returns the Helm Chart for deploying the agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.
For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.
Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.
A successful response.(streaming responses)
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/helm-chart HTTP/1.1
Accept: */*
{
"result": {
"chunk": "Ynl0ZXM="
},
"error": {
"grpc_code": 1,
"http_code": 1,
"message": "text",
"http_status": "text",
"details": [
{
"type_url": "text",
"value": "Ynl0ZXM="
}
]
}
}GetDeployOverrides returns the Helm Chart overrides for the agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.
For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.
Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/helm-overrides HTTP/1.1
Accept: */*
textPostDeployOverrides returns the Helm Chart overrides for deploying the agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
A successful response.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/helm-overrides HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"namespace": "text",
"disasterRecoveryIdentifier": "text",
"skipCrds": true,
"caData": "text",
"proxy": {
"http": "text",
"https": "text",
"username": "text",
"password": "text",
"skipSSLVerify": true
},
"privateKey": "text",
"argocdSettings": {
"enableHelmPathTraversal": true,
"forceEnableInCluster": true,
"enableArgocdHarnessPlugin": true,
"applicationNamespaces": "text"
}
}textGetOperatorYaml returns operator yaml for deploying the agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
Controls the Environment variable HELM_SECRETS_VALUES_ALLOW_PATH_TRAVERSAL to allow or deny dot-dot-slash values file paths. Disabled by default for security reasons. This config is pushed as an env variable to the repo-server.
For a Namespaced gitops agent, incluster is disabled by default. (controlled through variable cluster.inclusterEnabled in argocd-cm configmap. NOTE that you will have to manually restrict your namespaced agent's scope to its own cluster since this essentially makes the namespaced agent have access to incluster completely including creating clusterroles.
Comma-separated list of namespaces (or "*" for all) where Application CRs are allowed to live. Maps to application.namespaces in argocd-cmd-params-cm.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/operator/yaml HTTP/1.1
Accept: */*
textPostOperatorYaml returns operator yaml for deploying the agents.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Disaster Recovery Identifier for entity.
Certificate chain for the agent, must be base64 encoded.
A successful response.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/operator/yaml HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 448
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"namespace": "text",
"disasterRecoveryIdentifier": "text",
"skipCrds": true,
"caData": "text",
"proxy": {
"http": "text",
"https": "text",
"username": "text",
"password": "text",
"skipSSLVerify": true
},
"privateKey": "text",
"argocdSettings": {
"enableHelmPathTraversal": true,
"forceEnableInCluster": true,
"enableArgocdHarnessPlugin": true,
"applicationNamespaces": "text"
}
}textSet primary disaster recovery node.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Disaster Recovery Identifier for entity.
Disable sync windows for the new primary agent.
A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
PATCH /api/v1/agents/{agentIdentifier}/primaryNode HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 165
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"disasterRecoveryIdentifier": "text",
"disableSyncWindows": true
}{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}GetSyncStatus returns the sync status of the agent.
Agent Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Disaster Recovery Identifier for entity.
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/sync-allowed HTTP/1.1
Accept: */*
{
"syncAllowed": true
}UpdateSyncAllowed updates the sync status of the agent by creating deny sync windows for mapped app projects.
Agent Identifier for the Entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent Identifier for the Entity.
Disaster Recovery Identifier for entity.
Sync allowed for the entity.
A successful response.
An unexpected error response.
PUT /api/v1/agents/{agentIdentifier}/sync-allowed HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 158
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"disasterRecoveryIdentifier": "text",
"syncAllowed": true
}{
"syncAllowed": true
}Get agents.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
GET /api/v1/agents/{identifier} HTTP/1.1
Accept: */*
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}Delete agents.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
DELETE /api/v1/agents/{identifier} HTTP/1.1
Accept: */*
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}Regenerate credentials for agents.
A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
POST /api/v1/agents/{identifier}/credentials HTTP/1.1
Accept: */*
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}Scale the Hosted agent.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
A successful response.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AgentType is the type of agent. CONNECTED_ARGO_PROVIDER is deprecated and will be removed in a future release.
Please use type "MANAGED_ARGO_PROVIDER" to create your agents.
"MANAGED_ARGO_PROVIDER" agents are user managed agents and "HOSTED_ARGO_PROVIDER" agents are Harness managed agents(these cannot be created by users directly).
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: Indicates if the agent is for PLG.
UNKNOWNPossible values: The scoped identifier of the agent. This is a combination of the account, org, project, and agent identifiers.
Server-generated UUID for this agent.
An unexpected error response.
POST /api/v1/agents/{identifier}/scale HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 125
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"type": "text",
"replicas": 1
}{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"identifier": "text",
"name": "text",
"metadata": {
"namespace": "text",
"highAvailability": true,
"deployedApplicationCount": 1,
"existingInstallation": true,
"mappedProjects": {
"appProjMap": {
"ANY_ADDITIONAL_PROPERTY": {
"projectIdentifier": "text",
"orgIdentifier": "text",
"autoCreateServiceEnv": true
}
}
},
"infraType": "UNSET",
"isNamespaced": true,
"releaseName": "text"
},
"description": "text",
"type": "AGENT_TYPE_UNSET",
"createdAt": {
"seconds": "text",
"nanos": 1
},
"lastModifiedAt": {
"seconds": "text",
"nanos": 1
},
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"health": {
"lastHeartbeat": "2026-01-01T00:00:00.000Z",
"argoRepoServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoAppController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoRedisServer": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"harnessGitopsAgent": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"connectionStatus": "CONNECTED_STATUS_UNSET",
"argoAppSetController": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
},
"argoHAProxy": {
"status": "HEALTH_STATUS_UNSET",
"k8sError": "text",
"message": "text",
"version": "text"
}
},
"credentials": {
"privateKey": "text",
"publicKey": "text"
},
"version": {
"major": "text",
"minor": "text",
"patch": "text"
},
"upgradeAvailable": true,
"scope": "AGENT_SCOPE_UNSET",
"disasterRecoveryNode": {
"identifier": "text",
"name": "text",
"type": "UNKNOWN_TYPE"
},
"isPLG": true,
"operator": "UNKNOWN",
"prefixedIdentifier": "text",
"deletionInProgress": true,
"uuid": "text"
}GetSecretResolutionEnabled reports whether Harness secret resolution is enabled for this account and agent version.
Reports whether Harness secret resolution is enabled for the agent.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
GET /api/v1/agents/{identifier}/secret-resolution/enabled HTTP/1.1
Accept: */*
{
"enabled": true
}Unique returns unique agents.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
AGENT_TYPE_UNSETPossible values: AGENT_SCOPE_UNSETPossible values: SORT_BY_NOT_SETPossible values: SORT_ORDER_NOT_SETPossible values: CONNECTED_STATUS_UNSETPossible values: HEALTH_STATUS_UNSETPossible values: Applicable when trying to retrieve an agent. Set to true to include the credentials for the agent in the response. (Private key may not be included in response if agent is already connected to harness). NOTE: Setting this to true requires the user to have edit permissions on Agent.
UNKNOWN_TYPEPossible values: A successful response.
An unexpected error response.
GET /api/v1/agents/{identifier}/unique HTTP/1.1
Accept: */*
{
"unique": true
}Check for version updates.
Current Agent Version
A successful response.
Indicates whether agent has an upgrade available or not
Docker image tag for agent
Latest ArgoCDImage
Latest FlamingoArgoCDImage
Latest HAProxyImage
Latest redis image
Latest sopsInstaller image
An unexpected error response.
GET /api/v2/versions/agents/upgrade-available HTTP/1.1
Accept: */*
{
"ShouldUpgrade": true,
"AgentImageTag": "text",
"ArgoCDImage": "text",
"FlamingoArgoCDImage": "text",
"HAProxyImage": "text",
"RedisImage": "text",
"SopsImage": "text"
}Last updated
Was this helpful?